## fonts-lohit-deva-nepali 2.94.2

=== Makefile ===
all: sfd-dist ttf woff eot ttf-dist web-dist
version:= 2.94.2

test: test-ttf
	@echo "----------Testing actual-output with expected-output----------"
	fontforge -lang=py -script auto_test.py std-test-out.txt Lohit-Nepali.ttf

ttf: ttf-bin
	@echo "----------Generating ttf from sfd file----------"
	fontforge -lang=py -script apply_featurefile.py Lohit-Nepali.sfd Lohit-Nepali.fea
	./generate.pe *.sfd
	@echo "----------Finished generating ttf file----------"
	@echo " "

woff: woff-bin
	@echo "----------Generating woff from ttf file----------"
	sfntly -w Lohit-Nepali.ttf Lohit-Nepali.woff
	@echo "----------Finished generating woff file----------"
	@echo " "

eot: eot-bin
	@echo "----------Generating eot from ttf file----------"
	sfntly -e -x Lohit-Nepali.ttf Lohit-Nepali.eot
	@echo "----------Finished generating eot file----------"
	@echo " "

ttf-dist: dist
	mkdir lohit-nepali-ttf-$(version)
	cp -p COPYRIGHT OFL.txt README test-nepali.txt  AUTHORS  ChangeLog  65-0-lohit-nepali.conf Lohit-Nepali.ttf io.pagure.lohit.nepali.font.metainfo.xml lohit-nepali-ttf-$(version)
	rm -rf lohit-nepali-ttf-$(version)/.git
	tar -cf lohit-nepali-ttf-$(version).tar lohit-nepali-ttf-$(version)
	gzip lohit-nepali-ttf-$(version).tar
	rm -rf lohit-nepali-ttf-$(version)

sfd-dist: dist
	mkdir lohit-nepali-$(version)
	cp -p COPYRIGHT OFL.txt README test-nepali.txt  AUTHORS generate*.pe *.py *.fea std-test-out.txt Makefile ChangeLog  65-0-lohit-nepali.conf Lohit-Nepali.sfd io.pagure.lohit.nepali.font.metainfo.xml lohit-nepali-$(version)
	rm -rf lohit-nepali-$(version)/.git
	rm -rf lohit-nepali-$(version)/*.ttf
	tar -cf lohit-nepali-$(version).tar lohit-nepali-$(version)
	gzip lohit-nepali-$(version).tar
	rm -rf lohit-nepali-$(version)

web-dist: webdist
	mkdir lohit-nepali-web-$(version)
	cp -p COPYRIGHT OFL.txt README  AUTHORS test-nepali.txt  ChangeLog Lohit-Nepali.woff  Lohit-Nepali.eot lohit-nepali-web-$(version)
	rm -rf lohit-nepali-web-$(version)/.git
	tar -cf lohit-nepali-web-$(version).tar lohit-nepali-web-$(version)
	gzip lohit-nepali-web-$(version).tar
	rm -rf lohit-nepali-web-$(version)

clean: cleanall
	rm -f *.ttf *.eot *.woff
	rm -rf *.tar.gz
	rm -rf lohit-nepali*

.PHONY: ttf-bin woff-bin eot-bin webdist dist cleanall version test-ttf

=== debian/changelog ===
fonts-lohit-deva-nepali (2.94.2-6) unstable; urgency=low

  * debian/control:
    + Removed redundant field: Priority.
    + Updated Standards-Version to 4.7.3
  * debian/rules, debian/install:
    + Fix failure to build source after successful build (Closes: #1044603)

 -- Kartik Mistry <kartik@debian.org>  Wed, 21 Jan 2026 12:53:37 +0530

fonts-lohit-deva-nepali (2.94.2-5) unstable; urgency=low

  * Updated debian/watch to standard 5.
  * debian/control:
    + Updated Standards-Version to 4.7.2
    + Removed Rules-Requires-Root field.
  * Use shorter text for CC0-1.0 for debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Wed, 31 Dec 2025 20:02:48 +0530

fonts-lohit-deva-nepali (2.94.2-4) unstable; urgency=low

  * debian/control:
    + Fixed Suggests: fonts-lohit-devanagari -> fonts-lohit-deva.
    + Updated Standards-Version to 4.6.0
    + Bumped debhelper-compat to 13.
    + Added Rules-Requires-Root field.
  * Updated debian/copyright
  * Updated debian/watch
  * Added debian/upstream/metadata file.
  * Fixed patch header.

 -- Kartik Mistry <kartik@debian.org>  Fri, 08 Apr 2022 12:27:55 +0530

fonts-lohit-deva-nepali (2.94.2-3) unstable; urgency=medium

  [ Hideki Yamane ]
  * Use python3-fontforge (Closes: #943020)
  * Update Build-Depends to fontforge-nox.

  [ Kartik Mistry ]
  * Added debian/gitlab-ci.yml file.
  * debian/control:
    + Updated Standards-Version to 4.5.0
    + Switched to debhelper-compat.

 -- Kartik Mistry <kartik@debian.org>  Sat, 04 Apr 2020 12:07:18 +0530

fonts-lohit-deva-nepali (2.94.2-2) unstable; urgency=low

  [ Jeremy Bicha ]
  * Add appstream metadata
  * Add fix-appstream-metainfo.patch

  [ Kartik Mistry ]
  * Bumped dh to 11.
  * Updated debian/copyright.
  * debian/control:
    + Updated Vcs-* fields.
    + Set Maintainer to Debian Fonts Task Force.
    + Updated Standards-Version to 4.2.1

 -- Kartik Mistry <kartik@debian.org>  Sun, 02 Dec 2018 17:13:11 +0530

fonts-lohit-deva-nepali (2.94.2-1) unstable; urgency=low

  * Initial packaging (Closes: #865639)

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Jun 2017 19:23:30 +0530

=== debian/control ===
Source: fonts-lohit-deva-nepali
Section: fonts
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper-compat (= 13), fontforge-nox, python3-fontforge
Standards-Version: 4.7.3
Homepage: https://pagure.io/lohit
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-lohit-deva-nepali.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-lohit-deva-nepali

Package: fonts-lohit-deva-nepali
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: fonts-lohit-deva
Description: Lohit TrueType font for Nepali
 This package provides Lohit TrueType font for Nepali language. It is split
 from fonts-lohit-devanagari package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

FONT := Nepali
BUILDDIR := build

%:
	dh $@

override_dh_auto_build:
	mkdir -p $(BUILDDIR)
	cp Lohit-$(FONT).sfd $(BUILDDIR)/
	fontforge -lang=py -script apply_featurefile.py \
		$(BUILDDIR)/Lohit-$(FONT).sfd Lohit-$(FONT).fea Lohit-$(FONT).sfd
	(cd $(BUILDDIR) && fontforge -script ../generate.pe Lohit-$(FONT).sfd)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR)

override_dh_auto_test:
	# Skip tests since they aren't working yet
	# https://github.com/pravins/lohit/issues/83

=== debian/watch ===
Version: 5

Source: https://releases.pagure.org/lohit/
Matching-Pattern: lohit-nepali-@ANY_VERSION@@ARCHIVE_EXT@
